<script>
	$("#{{ identity }}").hide();  // Avoid table "flickering" (see "initComplete" below)
	$(document).ready(function() {$("#{{ identity }}").
																	DataTable({lengthMenu: {{ length_menu }},
																						 pageLength: {{ page_length }},
																						 searching: {{ searching }},
																						 paging: {{ paging }},
																						 info: {{ info }},
																						 {% if order %}order: [{{ order }}]{% else %}ordering: false{% endif %},
																						 columns: {{ columns }},
																						 stateSave: true,
																						 initComplete: function()
																		{
																			$("#{{ identity }}").addClass("cell-border compact stripe nowrap");
																			$("#{{ identity }}").DataTable().columns.adjust();
																			$("#{{ identity }}").show();
																		}
																	});});
</script>
<button title="Resets ordering, search, entries per page" onclick="$('#{{ identity }}').DataTable().state.clear(); window.location.reload();">Reset table state</button>
